/* ------------------------------ */
/* ----------- Footer ----------- */
/* ------------------------------ */

footer {
    margin-bottom: -1px;
    background-color: var(--color-black);
    color: var(--color-white);
}

footer a {
    text-decoration: none;
    color: var(--color-white);

    -webkit-transition: opacity var(--transition-1);
    -o-transition: opacity var(--transition-1);
    transition: opacity var(--transition-1);
}
  
.no-touchevents footer a:hover {
    opacity: var(--opacity-1);
}

.no-touchevents footer .footer__logo a:hover {
    opacity: 1;
}


/* Footer Top */
.footer__top .footer__nav > span {
    display: block;
    margin-bottom: var(--spacing-1);
    font-weight: bold;
}

.footer__nav li a {
    display: block;
    padding: var(--spacing-1) 0;
    opacity: var(--opacity-1);
}

.no-touchevents .footer__nav li a:hover {
    opacity: 1;
}


/* Footer Bottom */
.footer__bottom {
    font-size: var(--font-size-1);
    padding: var(--spacing-5) 0;
}

.footer__legal span.separator {
    display: inline-block;
    margin: 0 3px;
}

.footer__legal span.legal_note {
    opacity: var(--opacity-1);
}

.no-touchevents .footer__legal span.legal_note a:hover {
    opacity: 1;
}

.footer__legal span.legal_note a::before {
    background-color: var(--color-background-3);
}

.footer__legal span.legal_note a::after {
    background-color: var(--color-white);
}

.footer__social {
    padding: var(--spacing-5) var(--spacing-6);
    border-right: 2px solid rgba(255,255,255,.05);
    line-height: 1;
}

.footer__social a {
    display: inline-block;
    position: relative;
    height: 26px;
    margin-right: var(--spacing-4);
}

.footer__social a:last-child {
    margin-right: 0;
}

.footer__social a svg.instagram {
    position: relative;
    top: 1px;
}


/* Footer Social */
.site_nav__footer--social > li > a {
    display: -ms-flexbox;
    display: -webkit-box;
    display: flex;
    -webkit-box-flex: 0;
    -ms-flex: 0 1 auto;
    flex: 0 1 auto;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.site_nav__footer--social .icon--social {
    position: relative;
    top: -1px;
}

.site_nav__footer--social .icon--social-youtube {
    left: -1px;
}


.site_nav__footer--social span {
    margin-bottom: 0;
}



/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 576px) {

    .footer__top {
        font-size: 16px;
    }

}


@media all and (min-width: 768px) {

    .footer__top {
        padding: var(--spacing-9) 0;
    }

    .footer__top .footer__nav--1, .footer__top .footer__nav--2 {
        -ms-flex-preferred-size: 40%;
        flex-basis: 40%;
        max-width: 40%;
    }

    .footer__top .footer__nav--3 {
        -ms-flex-preferred-size: 20%;
        flex-basis: 20%;
        max-width: 20%;
    }

    .site_nav__footer--social span {
        margin-left: 12px;
    }

    .footer__bottom {
        background-color: rgba(255,255,255,.05);
    }

}


@media all and (max-width: 1239.98px) and (min-width: 992px) {

    .footer__bottom .footer__legal {
        position: relative;
        top: 1px;
    }

}


@media all and (max-width: 991.98px) and (min-width: 768px) {

    .footer__top {
        padding: var(--spacing-8) 0 var(--spacing-8);
    }

    .footer__top .footer__logo.col {
        -ms-flex-preferred-size: 20%;
        flex-basis: 20%;
        max-width: 20%;
    }

    .footer__top .col:not(.footer__logo) {
        -ms-flex-preferred-size: 40%;
        flex-basis: 40%;
        max-width: 40%;
    }

    .footer__top .col.footer__nav--3 {
        margin-left: 20%;
    }

    .footer__top .col.footer__nav--3, .footer__top .col.footer__nav--4 {
        margin-top: var(--spacing-6-5);
    }
    
}


@media all and (max-width: 991.98px) {

    .site_nav__footer--social .icon--social {
        left: 1px;
    }

    .site_nav__footer--social .icon--social-youtube {
        left: 0;
    }

}


@media all and (max-width: 767.98px) {

    .footer__top {
        padding: var(--spacing-8) 0;
    }

    .footer__top .footer__nav--3 {
        -ms-flex-preferred-size: 100%;
        flex-basis: 100%;
        max-width: 100%;
        margin-top: var(--spacing-6-5);
    }

    .site_nav__footer--social {
        display: -ms-flexbox;
        display: -webkit-box;
        display: flex;
        -webkit-box-flex: 0;
        -ms-flex: 0 1 auto;
        flex: 0 1 auto;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }

    .site_nav__footer--social li {
        margin-right: var(--spacing-5);
    }

    .site_nav__footer--social li:last-child {
        margin-right: 0;
    }

    .footer__bottom {
        background-color: rgba(255,255,255,.1);
    }

    .footer__bottom__container > div {
        -ms-flex-preferred-size: 100%;
        flex-basis: 100%;
        max-width: 100%;
    }

    .footer__legal {
        margin-top: var(--spacing-5);
    }
    
}


@media all and (max-width: 767.98px) and (min-width: 576px) {

    .footer__top .footer__nav--1 {
        -ms-flex-preferred-size: 60%;
        flex-basis: 60%;
        max-width: 60%;
    }

    .footer__top .footer__nav--2 {
        -ms-flex-preferred-size: 40%;
        flex-basis: 40%;
        max-width: 40%;
    }

    .site_nav__footer--social span {
        margin-left: 10px;
    }

}


@media all and (max-width: 575.98px) {

    .footer__top {
        font-size: 15px;
    }

    .footer__nav.footer__nav--1 li a, .footer__nav.footer__nav--2 li a {
        padding: 3px 0;
    }

    .icon--social:not(.icon--social-youtube) {
        width: 17px;
        height: 17px;
    }

    .site_nav__footer--social span {
        margin-left: 8px;
    }

    .footer__top .footer__nav.footer__nav--3 > span {
        margin-bottom: 0;
    }

}


@media all and (max-width: 575.98px) and (min-width: 390px) {

    .footer__top .footer__nav--1 {
        -ms-flex-preferred-size: 65%;
        flex-basis: 65%;
        max-width: 65%;
    }

    .footer__top .footer__nav--2 {
        -ms-flex-preferred-size: 35%;
        flex-basis: 35%;
        max-width: 35%;
    }

}


@media all and (max-width: 389.98px) {

    .footer__top .footer__nav--1, .footer__top .footer__nav--2 {
        -ms-flex-preferred-size: 100%;
        flex-basis: 100%;
        max-width: 100%;
    }

    .footer__top .footer__nav--2 {
        margin-top: var(--spacing-6-5);
    }

}